Name:    task-pipewire
Epoch:   1
Version: 9
Release: %mkrel 3
Summary: Metapackage for PipeWire
Group:   Sound/Utilities
License: GPLv2
# Basically the same as task-pulseaudio but for s/pulseaudio/pipewire/
#
Requires: pipewire
Requires: pipewire-utils
Requires: pipewire-module-x11
Requires: pipewire-pulseaudio
# FIXME: add some replacement:
#Requires: paprefs

# This is provided by pavucontrol and pavucontrol-qt since MGA6
Requires: pulseaudio-volume-control
#
# don't recommends those, they aren't useful for most users
# we don't want to get those installed by default
#Recommends: paman
#Recommends: pavumeter
#Recommends: padevchooser
#
# Zeroconf support is native in pipewire:
#Recommends: pulseaudio-module-zeroconf
#
# don't recommends xine-pulse, plugin is not in a good shape ATM
#Recommends: xine-pulse
Recommends: gstreamer1.0-pipewire
Recommends: pipewire-alsa

Provides: task-sound

BuildArch: noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies and recommended additions for running PipeWire.

%files


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1:9-3.mga10
+ Revision: 2217473
- Mageia 10 Mass Rebuild

* Fri Jan 27 2023 daviddavid <daviddavid> 1:9-2.mga9
+ Revision: 1936458
- add requires on pipewire-pulseaudio
- add recommends on gstreamer1.0-pipewire

* Fri Jan 27 2023 daviddavid <daviddavid> 1:9-1.mga9
+ Revision: 1936386
- follow Mageia versioning
- require pipewire-module-x11

* Fri Jan 27 2023 daviddavid <daviddavid> 2023.0-1.mga9
+ Revision: 1936377
- update version to 2023
- fix description and summary

* Wed Mar 16 2022 tv <tv> 2018.0-2.mga9
+ Revision: 1794684
- Requires pipewire-utils rather than pulseaudio-utils

* Wed Mar 16 2022 tv <tv> 2018.0-1.mga9
+ Revision: 1794612
- imported package task-pipewire

